//
//  ModelDuck.m
//  DuckSimulator
//
//  Created by Ken Anderson on 9/5/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import "ModelDuck.h"
#import "FlyNoWay.h"

@implementation ModelDuck

- (id)init
{
    self = [super init];
    if (self) {
        self.flyBehavior = [[[FlyNoWay alloc] init] autorelease];
    }
    
    return self;
}

- (void)display {
    int value = arc4random() % 2;
    if (value == 0) {
        QuietLog(@"%@: I'm the very model of a modern Major General!", [self class]);        
    } else {
        QuietLog(@"%@: I'm a model citizen!", [self class]);        
    }
}

@end
