//
//  RubberDuck.m
//  DuckSimulator
//
//  Created by Ken Anderson on 9/5/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import "RubberDuck.h"
#import "FlyNoWay.h"
#import "Squeak.h"

@implementation RubberDuck

- (id)init
{
    self = [super init];
    if (self) {
        self.flyBehavior = [[[FlyNoWay alloc] init] autorelease];
        self.quackBehavior = [[[Squeak alloc] init] autorelease];
    }
    
    return self;
}

- (void)display {
    QuietLog(@"%@: Rubber Duckie, you're the one. You make bathtime lots of fun!", [self class]);    
}

@end
